/research/:id
curl --request GET \
--url https://api.linkup.so/v1/research/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.linkup.so/v1/research/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.linkup.so/v1/research/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2026-01-01T00:00:00.000Z",
"error": "<string>",
"id": "01234-abcd-56789",
"status": "completed",
"updatedAt": "2026-01-01T00:00:00.000Z",
"input": {
"q": "What is Microsoft's 2024 revenue?",
"excludeDomains": [
"wikipedia.org"
],
"fromDate": "2025-01-01",
"includeDomains": [
"microsoft.com",
"agolution.com"
],
"structuredOutputSchema": null,
"toDate": "2025-01-01",
"mode": "auto",
"reasoningDepth": "L"
},
"output": {
"answer": "**Date:** May 19, 2026\n\n### 1. Executive Summary\nThe global semiconductor market has entered a period of unprecedented expansion in 2026, driven by an artificial intelligence \"super-cycle\" that is fundamentally restructuring industry supply and demand....",
"sources": [
{
"favicon": "",
"name": "Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 - Semiconductor Industry Association",
"snippet": "Global semiconductor sales reached $298.5 billion during the first quarter of 2026, representing a 25% increase compared to the fourth quarter of 2025.",
"url": "https://www.semiconductors.org/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026/"
},
{
"favicon": "",
"name": "Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 | SemiWiki",
"snippet": "Global semiconductor sales in March 2026 were $99.5 billion, an increase of 79.2% compared to March 2025 and 11.5% more than February 2026.",
"url": "https://semiwiki.com/forum/threads/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026.25061/"
}
]
},
"type": "<string>"
}Research
/research/:id
The GET /research/:id method, with research task identifier, retrieves a specific research task information.
GET
/
v1
/
research
/
{id}
/research/:id
Get your API key
Create a Linkup account for free to get your API key.
This endpoint only retrieves data from an existing research task. It does not create a new
research task. To create a new task, use
POST /research.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Research task details.
The date and time when the task was created.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2026-01-01T00:00:00.000Z"
The error message if the task failed.
The unique identifier of the task.
Example:
"01234-abcd-56789"
The current status of the task.
Available options:
completed, failed, pending, processing Example:
"completed"
The date and time when the task status was last updated.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2026-01-01T00:00:00.000Z"
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Example:
{
"answer": "**Date:** May 19, 2026\n\n### 1. Executive Summary\nThe global semiconductor market has entered a period of unprecedented expansion in 2026, driven by an artificial intelligence \"super-cycle\" that is fundamentally restructuring industry supply and demand....",
"sources": [
{
"favicon": "",
"name": "Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 - Semiconductor Industry Association",
"snippet": "Global semiconductor sales reached $298.5 billion during the first quarter of 2026, representing a 25% increase compared to the fourth quarter of 2025.",
"url": "https://www.semiconductors.org/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026/"
},
{
"favicon": "",
"name": "Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 | SemiWiki",
"snippet": "Global semiconductor sales in March 2026 were $99.5 billion, an increase of 79.2% compared to March 2025 and 11.5% more than February 2026.",
"url": "https://semiwiki.com/forum/threads/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026.25061/"
}
]
}Allowed value:
"research"⌘I